Subject: Re: [PATCH v2 6/7] Holly DTS

From: Segher Boessenkool <[email-masked]>
Date: Sat, 5 May 2007 22:49:50 +0200

>>> +		PowerPC,750@0 {
>>
>> Needs to be PowerPC,750CL etc.
>
> Why _needs_?

Because that's what the PowerPC binding says:

	Open Firmware standard property. The value of the
	is property shall be of the form: =93PowerPC,<name>=94,
	where <name> is the name of the processor chip which
	may be displayed to the user.

> Apple never used anything else than PowerPC,G5, no matter
> what generation chip.

I don't care what Apple did in their device trees,
they made many mistakes.

>>> +  	tsi109@c0000000 {
>>> +		device_type =3D "tsi-bridge";
>>
>> Don't put a "device_type" here, it is useless
>> (and undefined).  There are more like this, but
>> perhaps Linux (wrongly) probes on "device_type"
>> for those, so the kernel would need updating
>> first.
>
> Josh is just using the precedence that the other platform gives, the
> driver is keying off of device_type. While that should be fixed, =
that's
> a separate issue.

Yes I know, I tried to explain that already, but
seems I failed :-)

> I'm sure they'd welcome a driver patch from you.

It's on my todo list.

>>> +		bus-frequency =3D <0>;
>>
>> 0?
>
> Filled in by bootloader/wrapper?

I don't think it is?

> Other dts'es are similar. Could be nice
> to have a comment next to it if that's the case.

Yeah.  There's also this ?? syntax now I believe.

Segher